Bug Hunting Session
Bug 97953 - gtk3 / CTRL_SPINBUTTONS oddness ...
Summary: gtk3 / CTRL_SPINBUTTONS oddness ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.1.0.1 rc
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.2.0 target:5.1.2
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-17 21:32 UTC by Michael Meeks
Modified: 2016-10-25 19:08 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
change icon / gtk3 theming ... (119.68 KB, image/png)
2016-02-18 11:51 UTC, Michael Meeks
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2016-02-17 21:32:42 UTC
Looks pretty odd before my patch:

commit a3566b6700a1d7818b6ca6ba5e15b4b8227e94c8
Author: Michael Meeks <michael.meeks@collabora.com>
Date:   Wed Feb 17 20:42:52 2016 +0000

    tdf#97922 - get control area right for spinbuttons.

And still not great afterwards; bug#97922 gives some great steps to see a toolbar with this up/down 'feature' =)
Comment 1 Caolán McNamara 2016-02-18 10:57:19 UTC
Can I get sufficient context here to reproduce what is being reported ?
Comment 2 Michael Meeks 2016-02-18 11:34:56 UTC
Let me paste and edit from bug#97922:

In the Change Icon window (Right click on a toolbar -> Customize Toolbar -> Toolbar Contents Commands -> Modify <drop down> -> Change Icon) the list shows only first set of Icons.

The slider (on the right) to move to the next / previous set of Icons is missing in the windows - So, cannot move to next set of Icons.

In the gtk3 case it is now visible, and even plausibly sized; but the theme rendering is not great.
Comment 3 Michael Meeks 2016-02-18 11:51:07 UTC
Created attachment 122764 [details]
change icon / gtk3 theming ...

The gtk2 theming version is also lameish (cropping the widget a little) - but that was AFAICS always like that - I imagine this is rather an under-used (or mis-used) toolbox feature ;-)
HTH.
Comment 4 Caolán McNamara 2016-02-18 14:44:00 UTC
reusing the spinbutton rendering for toolbar up/down is not really great
Comment 5 Commit Notification 2016-02-18 15:50:40 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4f034adcb79684bc4138e2f9708defd8a3532f74

Resolves: tdf#97953 spinbuttons are not suitable for reuse as up/down arrows

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2016-02-19 20:19:13 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=63212b4614c134233f520cee95611ec5e7b3d8a0&h=libreoffice-5-1

Resolves: tdf#97953 spinbuttons are not suitable for reuse as up/down arrows

It will be available in 5.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.